Bug 1040486 - criu ExclusiveArch blocker bug
Summary: criu ExclusiveArch blocker bug
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: criu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 902875 (view as bug list)
Depends On: 902875
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2013-12-11 14:03 UTC by Christopher Meng
Modified: 2018-07-02 08:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 902875
Environment:
Last Closed:


Attachments (Terms of Use)

Description Christopher Meng 2013-12-11 14:03:22 UTC
+++ This bug was initially created as a clone of Bug #902875 +++

crtools, the userspace part of CRIU (Checkpoint/Restore in User-space) is currently released only for x86_64. Upstream says porting to other another architecture is not that hard, but someone has to do the porting.

On the Todo list (http://criu.org/Todo) it says something about porting it to arm. Right now it is x86_64 only.

--- Additional comment from Fedora End Of Life on 2013-04-03 20:43:37 CST ---

This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 1 Christopher Meng 2014-01-01 13:22:12 UTC
*** Bug 902875 has been marked as a duplicate of this bug. ***

Comment 2 Andrew Vagin 2014-01-01 15:04:07 UTC
Currently the package is built for x86_64 and ARM.
# cat criu.spec  | grep ExclusiveArch:
ExclusiveArch: x86_64 %{arm}

Comment 3 Peter Robinson 2014-06-10 19:59:23 UTC
Removing ARM as it's being built

Comment 4 Adrian Reber 2018-07-02 08:49:26 UTC
Removing s390x as CRIU is built for s390x.


Note You need to log in before you can comment on or make changes to this bug.